Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 359409 - media-video/vdr fails to build with sys-kernel/linux-headers-2.6.38+
Summary: media-video/vdr fails to build with sys-kernel/linux-headers-2.6.38+
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gentoo VDR Project
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: linux-headers-2.6.38
  Show dependency tree
 
Reported: 2011-03-18 19:36 UTC by SpanKY
Modified: 2011-04-11 13:33 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description SpanKY gentoo-dev 2011-03-18 19:36:18 UTC
the V4L1 headers are no longer installed since the kernel no longer supports it, and so vdr fails to build:
dvbdevice.c:13:28: fatal error: linux/videodev.h: No such file or directory
compilation terminated.
make: *** [dvbdevice.o] Error 1
Comment 1 Joerg Bornkessel gentoo-dev 2011-03-20 20:08:28 UTC
this is fixed on upstream
we have a workin version in vdr-devel overlay,

Iam not really a friend to move the developer versions in the main portage,

anyway, there is a "strong secret" from the vdr developer for the next major release

if we need a fixed version, i will pickup a version they "rock stable" in the overlay and move it to the portage.

just leave a short note,...
Comment 2 Diego Elio Pettenò (RETIRED) gentoo-dev 2011-04-06 00:43:07 UTC
Given ~arch is broken, anything is good to go in main tree, please do.
Comment 3 Matthias Schwarzott gentoo-dev 2011-04-11 13:33:41 UTC
I backported v4l2 support from vdr-1.7.3 and added vdr-1.6.0_p2-r6. It is only compile tested.